
<p-accordion class="filter-accordion">
	<p-accordionTab header="Filter" [selected]="true">
		<div class="row">
			<div class="col-md-6">
				<div class="form-group">
					<label class="form-control-label">Tgl. Faktur</label>
					<div class="row">
						<div class="col-md-6">
							<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
							</div>
						</div>
						<div class="col-md-6">
							<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label>Status</label>
					<select class="form-control" id="field_statusType" name="statusType">
						<option [ngValue]="null"></option>
						<!-- <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option> -->
					</select>
				</div>
			</div>
		</div>
		<div class="btn-filter-wrapper">
			<button type="button" class="btn btn-primary btn-filter">
				<span>Filter</span>
			</button>
		</div>      
	</p-accordionTab>
</p-accordion>

<p-dataTable
	[value]="vehicleDocumentRequirements"
	[editable]="true"
	[rows]="itemsPerPage"
	[paginator]="true"
	[pageLinks]="5"
	[rowsPerPageOptions]="[10,15,20]"
	[totalRecords]="totalItems"
	[responsive]="true"
	[lazy]="true"
	dataKey="idRequirement"
	expandableRows="false"
	(onLazyLoad)="loadDataLazy($event)"
	(onEditComplete)="updateRowData($event)"
	[(selection)]="selected">
	<p-header>
		<div class="row"></div>
	</p-header>
	<p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
	<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
	<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
		<ng-template let-rowIndex="rowIndex" pTemplate="body">
			{{rowIndex + 1}}
		</ng-template>
	</p-column>
	<p-column header="No. Rangka">
		<ng-template let-rowData="rowData" pTemplate="body">
			{{rowData.vehicle.idFrame}}
		</ng-template>
	</p-column>
	<p-column header="No. Mesin">
		<ng-template let-rowData="rowData" pTemplate="body">
			{{rowData.vehicle.idMachine}}
		</ng-template>
	</p-column>
	<p-column header="No. Faktur">
		<ng-template let-rowData="rowData" pTemplate="body">
			{{rowData.fakturATPM}}
		</ng-template>
	</p-column>
	<p-column header="Tgl. Faktur">
		<ng-template let-rowData="rowData" pTemplate="body">
			{{rowData.fakturDate | date:'dd-MM-yyyy'}}
		</ng-template>
	</p-column>
	<p-column header="Status Isi Nama">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.otherCost}} -->
		</ng-template>
	</p-column>
	<p-column header="Note">
		<ng-template let-rowData="rowData" pTemplate="body">
			{{rowData.note}}
		</ng-template>
	</p-column>
	<p-column header="Tgl. Kirim Kembali">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.otherCost}} -->
		</ng-template>
	</p-column>
	<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
	</ng-template>
</p-dataTable>
<div class="btn-filter-wrapper pull-right">
		<button (click)="cancelFaktur()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
				<span>Cancel</span>
		</button>
</div>